Delete List
Permanently delete a contact list. Contacts in the list are not deleted — only the list itself and the associations are removed.
Endpoint
DELETE /lists/:id
Returns: 200 OK
Headers
| Header | Value | Required |
|---|---|---|
Authorization | Bearer <your-api-key> | Yes |
Path Parameters
| Parameter | Type | Description |
|---|---|---|
id | string | The list ID |
Response
{
"message": "List deleted"
}
Examples
- cURL
- JavaScript
- Python
- C#
- PHP
curl -X DELETE "https://api.arsel.sa/v1/lists/01957e3a-4b5c-7d8e-9f0a-1b2c3d4e5f6a" \
-H "Authorization: Bearer be_your_api_key"
const response = await fetch(
"https://api.arsel.sa/v1/lists/01957e3a-4b5c-7d8e-9f0a-1b2c3d4e5f6a",
{
method: "DELETE",
headers: { Authorization: "Bearer be_your_api_key" },
}
);
console.log(await response.json());
import requests
response = requests.delete(
"https://api.arsel.sa/v1/lists/01957e3a-4b5c-7d8e-9f0a-1b2c3d4e5f6a",
headers={"Authorization": "Bearer be_your_api_key"},
)
print(response.json())
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer be_your_api_key");
var response = await client.DeleteAsync("https://api.arsel.sa/v1/lists/01957e3a-4b5c-7d8e-9f0a-1b2c3d4e5f6a");
Console.WriteLine(await response.Content.ReadAsStringAsync());
<?php
$ch = curl_init("https://api.arsel.sa/v1/lists/01957e3a-4b5c-7d8e-9f0a-1b2c3d4e5f6a");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer be_your_api_key"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");
$response = curl_exec($ch);
echo $response;
curl_close($ch);
Error Responses
- 404 Not Found
- 401 Unauthorized
{
"status_code": 404,
"name": "not_found",
"message": "List not found"
}
{
"status_code": 401,
"name": "unauthorized",
"message": "Invalid or missing API key"
}